Package com.independentsoft.office.vml

# Class Proxy

java.lang.Object
com.independentsoft.office.vml.Proxy

public class Proxy extends Object
The Class Proxy.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Proxy()`
  Instantiates a new proxy.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Proxy`
  `clone()`
  `int`
  `getConnectionLocation()`
  Gets the connection location.
  `String`
  `getReference()`
  Gets the reference.
  `boolean`
  `isEndPointConnected()`
  Checks if is end point connected.
  `boolean`
  `isStartPointConnected()`
  Checks if is start point connected.
  `void`
  `setConnectionLocation​(int connectionLocation)`
  Sets the connection location.
  `void`
  `setEndPointConnected​(boolean isEndPointConnected)`
  Sets the end point connected.
  `void`
  `setReference​(String reference)`
  Sets the reference.
  `void`
  `setStartPointConnected​(boolean isStartPointConnected)`
  Sets the start point connected.
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### Proxy

    public Proxy()
    Instantiates a new proxy.

- ## Method Details

  - ### clone

    public Proxy clone()
    Overrides:
      `clone` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### getConnectionLocation

    public int getConnectionLocation()
    Gets the connection location.
    Returns:
      the connection location

  - ### setConnectionLocation

    public void setConnectionLocation​(int connectionLocation)
    Sets the connection location.
    Parameters:
      `connectionLocation` - the new connection location

  - ### isEndPointConnected

    public boolean isEndPointConnected()
    Checks if is end point connected.
    Returns:
      true, if is end point connected

  - ### setEndPointConnected

    public void setEndPointConnected​(boolean isEndPointConnected)
    Sets the end point connected.
    Parameters:
      `isEndPointConnected` - the new end point connected

  - ### getReference

    public String getReference()
    Gets the reference.
    Returns:
      the reference

  - ### setReference

    public void setReference​(String reference)
    Sets the reference.
    Parameters:
      `reference` - the new reference

  - ### isStartPointConnected

    public boolean isStartPointConnected()
    Checks if is start point connected.
    Returns:
      true, if is start point connected

  - ### setStartPointConnected

    public void setStartPointConnected​(boolean isStartPointConnected)
    Sets the start point connected.
    Parameters:
      `isStartPointConnected` - the new start point connected